Find the answer to your Linux question:
Page 1 of 2 1 2 LastLast
Results 1 to 10 of 13
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1

    Question ELDK installation problem


    Hi everyone,

    I got thÝs error when installing ELDK 5.5.3. Can anyone help me fix it?

    Code:
    $ sudo ./install.sh powerpc-4xx
    *** Installing ./targets/powerpc-4xx/eldk-eglibc-i686-powerpc-toolchain-gmae-5.5.3.sh
        into /opt/eldk-5.5.3/powerpc-4xx
    --------------------------------------------------------------------
    NOTICE: superuser priviledges will be needed to install the
    root file system; make sure you have sufficient permissions.
    --------------------------------------------------------------------
    Error: Can't read rootfs tarball "./targets/powerpc-4xx/core-image-minimal-dev-generic-powerpc-4xx.tar.gz ./targets/powerpc-4xx/core-image-minimal-generic-powerpc-4xx.tar.gz ./targets/powerpc-4xx/core-image-minimal-mtdutils-generic-powerpc-4xx.tar.gz ./targets/powerpc-4xx/core-image-minimal-xenomai-generic-powerpc-4xx.tar.gz"

  2. #2
    Just Joined!
    Join Date
    Oct 2015
    Location
    Argentina
    Posts
    31
    Hi Buddy

    Check the permissions for "./targets/powerpc-4xx/" directory (ls -d) and also check if those tar.gz files are there (and their permissions also).

    One more thing, why don't you become root and try it again?

  3. #3
    Hi BeagleSkywalker,

    I have changed to root and installed again with the same error. All the files are there. The ./targets/powerpc-4xx/" directory allows others to access files. The *.sh are executable, and the *tar.gz are readable.

    # ./install.sh powerpc-4xx
    *** Installing ./targets/powerpc-4xx/eldk-eglibc-i686-powerpc-toolchain-gmae-5.5.3.sh
    into /opt/eldk-5.5.3/powerpc-4xx
    --------------------------------------------------------------------
    NOTICE: superuser priviledges will be needed to install the
    root file system; make sure you have sufficient permissions.
    --------------------------------------------------------------------
    Error: Can't read rootfs tarball "./targets/powerpc-4xx/core-image-minimal-dev-generic-powerpc-4xx.tar.gz ./targets/powerpc-4xx/core-image-minimal-generic-powerpc-4xx.tar.gz ./targets/powerpc-4xx/core-image-minimal-mtdutils-generic-powerpc-4xx.tar.gz ./targets/powerpc-4xx/core-image-minimal-xenomai-generic-powerpc-4xx.tar.gz"

    root@Ubuntu:/mnt/Storage1/Reserve/Software/FPGA/ELDKv5.5.3# ls -d ./targets/powerpc-4xx/*.*
    ./targets/powerpc-4xx/core-image-base-generic-powerpc-4xx.tar.gz
    ./targets/powerpc-4xx/core-image-basic-generic-powerpc-4xx.tar.gz
    ./targets/powerpc-4xx/core-image-clutter-generic-powerpc-4xx.tar.gz
    ./targets/powerpc-4xx/core-image-lsb-dev-generic-powerpc-4xx.tar.gz
    ./targets/powerpc-4xx/core-image-lsb-generic-powerpc-4xx.tar.gz
    ./targets/powerpc-4xx/core-image-lsb-sdk-generic-powerpc-4xx.tar.gz
    ./targets/powerpc-4xx/core-image-minimal-dev-generic-powerpc-4xx.tar.gz
    ./targets/powerpc-4xx/core-image-minimal-generic-powerpc-4xx.tar.gz
    ./targets/powerpc-4xx/core-image-minimal-mtdutils-generic-powerpc-4xx.tar.gz
    ./targets/powerpc-4xx/core-image-minimal-xenomai-generic-powerpc-4xx.tar.gz
    ./targets/powerpc-4xx/core-image-qte-sdk-generic-powerpc-4xx.tar.gz
    ./targets/powerpc-4xx/core-image-qte-xenomai-sdk-generic-powerpc-4xx.tar.gz
    ./targets/powerpc-4xx/core-image-sato-dev-generic-powerpc-4xx.tar.gz
    ./targets/powerpc-4xx/core-image-sato-generic-powerpc-4xx.tar.gz
    ./targets/powerpc-4xx/core-image-sato-sdk-generic-powerpc-4xx.tar.gz
    ./targets/powerpc-4xx/core-image-x11-generic-powerpc-4xx.tar.gz
    ./targets/powerpc-4xx/eldk-eglibc-i686-powerpc-toolchain-gmae-5.5.3.sh
    ./targets/powerpc-4xx/eldk-eglibc-i686-powerpc-toolchain-qte-5.5.3.sh
    ./targets/powerpc-4xx/eldk-eglibc-i686-powerpc-toolchain-xenomai-qte-5.5.3.sh
    ./targets/powerpc-4xx/powerpc-4xx.sha256
    ./targets/powerpc-4xx/target.conf

  4. $spacer_open
    $spacer_close
  5. #4
    Just Joined!
    Join Date
    Oct 2015
    Location
    Argentina
    Posts
    31
    Ok, it is not a perms problem, so go ahead with this:
    Could you cat the install.sh file and paste the output here?
    Also run this test, try to untar and uncompress one of those files, (copy one of them to /tmp first) i.e:
    # cp ./targets/powerpc-4xx/core-image-minimal-dev-generic-powerpc-4xx.tar.gz /tmp
    # cd /tmp
    # tar xzvf /tmp/core-image-minimal-dev-generic-powerpc-4xx.tar.gz

    I'm thinking there could be an issue when the script is trying to untar and uncompress the files.

  6. #5
    Here they are:

    Code:
    # tar xzvf core-image-base-generic-powerpc-4xx.tar.gz
    ./
    ./boot/
    ./dev/
    ./dev/ram2
    ./dev/hda11
    ./dev/apm_bios
    ./dev/hda6
    ./dev/tty6
    ./dev/mtd4
    ./dev/mtd6
    ./dev/tty
    ./dev/ttyS0
    ./dev/tty7
    ./dev/hda14
    ./dev/hda19
    ./dev/mtdblock0
    ./dev/tty8
    ./dev/console
    ./dev/tty1
    ./dev/mtdblock2
    ./dev/mtd0
    ./dev/mtdblock7
    ./dev/zero
    ./dev/mtd5
    ./dev/mtd7
    ./dev/kmem
    ./dev/mem
    ./dev/urandom
    ./dev/ram0
    ./dev/null
    ./dev/hda13
    ./dev/initctl
    ./dev/hda9
    ./dev/hda12
    ./dev/hda4
    ./dev/tty5
    ./dev/hda17
    ./dev/hda
    ./dev/ram1
    ./dev/hda18
    ./dev/hda2
    ./dev/ttySA0
    ./dev/mtd1
    ./dev/ram3
    ./dev/hda15
    ./dev/mtdblock3
    ./dev/hda16
    ./dev/tty0
    ./dev/tty2
    ./dev/kmsg
    ./dev/hda8
    ./dev/hda5
    ./dev/random
    ./dev/fb0
    ./dev/mtd3
    ./dev/tty3
    ./dev/hda3
    ./dev/mtdblock1
    ./dev/hda7
    ./dev/mtd2
    ./dev/mtdblock6
    ./dev/mtdblock5
    ./dev/hda10
    ./dev/tty4
    ./dev/mtdblock4
    ./dev/hda1
    ./home/
    ./home/root/
    ./bin/
    ./bin/ping6
    ./bin/netstat
    ./bin/ln
    ./bin/dd
    ./bin/chgrp
    ./bin/login
    ./bin/busybox
    ./bin/cpio
    ./bin/zcat
    ./bin/cat
    ./bin/pidof.sysvinit
    ./bin/dmesg
    ./bin/lsmod.kmod
    ./bin/lsmod
    ./bin/vi
    ./bin/sh
    ./bin/uname
    ./bin/hostname
    ./bin/login.shadow
    ./bin/mkdir
    ./bin/touch
    ./bin/usleep
    ./bin/fgrep
    ./bin/kill
    ./bin/ls
    ./bin/rmdir
    ./bin/pwd
    ./bin/false
    ./bin/mktemp
    ./bin/umount
    ./bin/stty
    ./bin/date
    ./bin/kmod
    ./bin/cp
    ./bin/mountpoint.sysvinit
    ./bin/pidof
    ./bin/dumpkmap
    ./bin/rm
    ./bin/sync
    ./bin/mv
    ./bin/ash
    ./bin/true
    ./bin/grep
    ./bin/echo
    ./bin/gunzip
    ./bin/sed
    ./bin/ping
    ./bin/chmod
    ./bin/sleep
    ./bin/ps
    ./bin/su
    ./bin/dnsdomainname
    ./bin/mknod
    ./bin/mountpoint
    ./bin/busybox.nosuid
    ./bin/tar
    ./bin/more
    ./bin/chown
    ./bin/mount
    ./bin/df
    ./bin/su.shadow
    ./bin/busybox.suid
    ./bin/egrep
    ./bin/chattr
    ./bin/gzip
    ./lib/
    ./lib/libnss_compat-2.18.so
    ./lib/libc.so.6
    ./lib/libblkid.so.1
    ./lib/libwrap.so.0.7.6
    ./lib/libuuid.so.1
    ./lib/libsysfs.so.2
    ./lib/libcrypt-2.18.so
    ./lib/libuuid.so.1.3.0
    ./lib/libresolv-2.18.so
    ./lib/ld.so.1
    ./lib/libnss_files.so.2
    ./lib/libnss_mdns.so.2
    ./lib/libnss_mdns4_minimal.so.2
    ./lib/libnss_dns-2.18.so
    ./lib/libcrypt.so.1
    ./lib/libdl.so.2
    ./lib/libcap.so.2.22
    ./lib/libwrap.so.0
    ./lib/libm.so.6
    ./lib/libsysfs.so.2.0.1
    ./lib/libresolv.so.2
    ./lib/libc-2.18.so
    ./lib/modules/
    ./lib/modules/3.10.28/
    ./lib/modules/3.10.28/modules.symbols
    ./lib/modules/3.10.28/modules.dep
    ./lib/modules/3.10.28/modules.dep.bin
    ./lib/modules/3.10.28/modules.softdep
    ./lib/modules/3.10.28/modules.alias
    ./lib/modules/3.10.28/modules.alias.bin
    ./lib/modules/3.10.28/modules.symbols.bin
    ./lib/modules/3.10.28/modules.devname
    ./lib/modules/3.10.28/modules.builtin.bin
    ./lib/libm-2.18.so
    ./lib/libnss_mdns_minimal.so.2
    ./lib/libnsl-2.18.so
    ./lib/libblkid.so.1.1.0
    ./lib/libBrokenLocale.so.1
    ./lib/libnss_mdns4.so.2
    ./lib/depmod.d/
    ./lib/depmod.d/search.conf
    ./lib/libutil.so.1
    ./lib/libpthread-2.18.so
    ./lib/libnss_mdns6_minimal.so.2
    ./lib/libdl-2.18.so
    ./lib/libutil-2.18.so
    ./lib/libBrokenLocale-2.18.so
    ./lib/libanl.so.1
    ./lib/udev/
    ./lib/udev/accelerometer
    ./lib/udev/findkeyboards
    ./lib/udev/mtd_probe
    ./lib/udev/keymaps/
    ./lib/udev/keymaps/dell
    ./lib/udev/keymaps/medionnb-a555
    ./lib/udev/keymaps/module-sony-old
    ./lib/udev/keymaps/lenovo-thinkpad_x200_tablet
    ./lib/udev/keymaps/ibm-thinkpad-usb-keyboard-trackpoint
    ./lib/udev/keymaps/fujitsu-esprimo_mobile_v6
    ./lib/udev/keymaps/fujitsu-amilo_pro_v3205
    ./lib/udev/keymaps/hewlett-packard-tablet
    ./lib/udev/keymaps/hewlett-packard-2510p_2530p
    ./lib/udev/keymaps/fujitsu-amilo_si_1520
    ./lib/udev/keymaps/genius-slimstar-320
    ./lib/udev/keymaps/lenovo-thinkpad-usb-keyboard-trackpoint
    ./lib/udev/keymaps/module-lenovo
    ./lib/udev/keymaps/toshiba-satellite_m30x
    ./lib/udev/keymaps/toshiba-satellite_a100
    ./lib/udev/keymaps/module-sony
    ./lib/udev/keymaps/micro-star
    ./lib/udev/keymaps/logitech-wave-cordless
    ./lib/udev/keymaps/lenovo-3000
    ./lib/udev/keymaps/acer
    ./lib/udev/keymaps/hewlett-packard-pavilion
    ./lib/udev/keymaps/acer-aspire_6920
    ./lib/udev/keymaps/acer-aspire_8930
    ./lib/udev/keymaps/oqo-model2
    ./lib/udev/keymaps/fujitsu-amilo_pa_2548
    ./lib/udev/keymaps/acer-travelmate_c300
    ./lib/udev/keymaps/lenovo-thinkpad_x6_tablet
    ./lib/udev/keymaps/acer-aspire_5720
    ./lib/udev/keymaps/fujitsu-esprimo_mobile_v5
    ./lib/udev/keymaps/logitech-wave-pro-cordless
    ./lib/udev/keymaps/module-ibm
    ./lib/udev/keymaps/olpc-xo
    ./lib/udev/keymaps/everex-xt5000
    ./lib/udev/keymaps/samsung-other
    ./lib/udev/keymaps/hewlett-packard-tx2
    ./lib/udev/keymaps/fujitsu-amilo_pro_edition_v3505
    ./lib/udev/keymaps/module-sony-vgn
    ./lib/udev/keymaps/lg-x110
    ./lib/udev/keymaps/logitech-wave
    ./lib/udev/keymaps/asus
    ./lib/udev/keymaps/module-asus-w3j
    ./lib/udev/keymaps/hewlett-packard-compaq_elitebook
    ./lib/udev/keymaps/force-release/
    ./lib/udev/keymaps/force-release/hp-other
    ./lib/udev/keymaps/force-release/common-volume-keys
    ./lib/udev/keymaps/force-release/samsung-other
    ./lib/udev/keymaps/force-release/dell-touchpad
    ./lib/udev/keymaps/acer-aspire_5920g
    ./lib/udev/keymaps/samsung-sq1us
    ./lib/udev/keymaps/onkyo
    ./lib/udev/keymaps/lenovo-ideapad
    ./lib/udev/keymaps/medion-fid2060
    ./lib/udev/keymaps/fujitsu-amilo_li_2732
    ./lib/udev/keymaps/toshiba-satellite_a110
    ./lib/udev/keymaps/maxdata-pro_7000
    ./lib/udev/keymaps/inventec-symphony_6.0_7.0
    ./lib/udev/keymaps/dell-latitude-xt2
    ./lib/udev/keymaps/samsung-sx20s
    ./lib/udev/keymaps/hewlett-packard-presario-2100
    ./lib/udev/keymaps/hewlett-packard
    ./lib/udev/keymaps/compaq-e_evo
    ./lib/udev/keymaps/zepto-znote
    ./lib/udev/ata_id
    ./lib/udev/udevd
    ./lib/udev/scsi_id
    ./lib/udev/rules.d/
    ./lib/udev/rules.d/42-usb-hid-pm.rules
    ./lib/udev/rules.d/60-persistent-input.rules
    ./lib/udev/rules.d/95-udev-late.rules
    ./lib/udev/rules.d/75-net-description.rules
    ./lib/udev/rules.d/50-udev-default.rules
    ./lib/udev/rules.d/60-persistent-serial.rules
    ./lib/udev/rules.d/78-sound-card.rules
    ./lib/udev/rules.d/95-keymap.rules
    ./lib/udev/rules.d/75-tty-description.rules
    ./lib/udev/rules.d/60-persistent-storage.rules
    ./lib/udev/rules.d/95-keyboard-force-release.rules
    ./lib/udev/rules.d/80-drivers.rules
    ./lib/udev/rules.d/61-accelerometer.rules
    ./lib/udev/rules.d/60-persistent-v4l.rules
    ./lib/udev/rules.d/60-persistent-storage-tape.rules
    ./lib/udev/rules.d/60-persistent-alsa.rules
    ./lib/udev/rules.d/60-cdrom_id.rules
    ./lib/udev/rules.d/75-probe_mtd.rules
    ./lib/udev/v4l_id
    ./lib/udev/collect
    ./lib/udev/keymap
    ./lib/udev/devices/
    ./lib/udev/keyboard-force-release.sh
    ./lib/udev/cdrom_id
    ./lib/libcap.so.2
    ./lib/libnsl.so.1
    ./lib/libnss_compat.so.2
    ./lib/libpthread.so.0
    ./lib/ld-2.18.so
    ./lib/modprobe.d/
    ./lib/librt.so.1
    ./lib/libnss_mdns6.so.2
    ./lib/librt-2.18.so
    ./lib/libanl-2.18.so
    ./lib/libnss_files-2.18.so
    ./lib/libnss_dns.so.2
    ./etc/
    ./etc/netconfig
    ./etc/fstab
    ./etc/rc6.d/
    ./etc/rc6.d/S25save-rtc.sh
    ./etc/rc6.d/K20hwclock.sh
    ./etc/rc6.d/K20syslog
    ./etc/rc6.d/S31umountnfs.sh
    ./etc/rc6.d/S30urandom
    ./etc/rc6.d/S40umountfs
    ./etc/rc6.d/K40networking
    ./etc/rc6.d/K20psplash.sh
    ./etc/rc6.d/S90reboot
    ./etc/rc6.d/K19avahi-daemon
    ./etc/rc6.d/S32rpcbind
    ./etc/rc6.d/K20dbus-1
    ./etc/rc6.d/S20sendsigs
    ./etc/gshadow
    ./etc/mtab
    ./etc/busybox.links.nosuid
    ./etc/timestamp
    ./etc/rc5.d/
    ./etc/rc5.d/S20syslog
    ./etc/rc5.d/S20hwclock.sh
    ./etc/rc5.d/S02dbus-1
    ./etc/rc5.d/S99stop-bootlogd
    ./etc/rc5.d/S21avahi-daemon
    ./etc/rc5.d/S99rmnologin.sh
    ./etc/busybox.links.suid
    ./etc/init.d/
    ./etc/init.d/avahi-daemon
    ./etc/init.d/checkroot.sh
    ./etc/init.d/devpts.sh
    ./etc/init.d/single
    ./etc/init.d/hostname.sh
    ./etc/init.d/stop-bootlogd
    ./etc/init.d/rmnologin.sh
    ./etc/init.d/networking
    ./etc/init.d/psplash.sh
    ./etc/init.d/rcS
    ./etc/init.d/mountnfs.sh
    ./etc/init.d/bootlogd
    ./etc/init.d/reboot
    ./etc/init.d/modutils.sh
    ./etc/init.d/urandom
    ./etc/init.d/populate-volatile.sh
    ./etc/init.d/mountall.sh
    ./etc/init.d/functions
    ./etc/init.d/rc
    ./etc/init.d/udev-cache
    ./etc/init.d/halt
    ./etc/init.d/dmesg.sh
    ./etc/init.d/udev
    ./etc/init.d/syslog
    ./etc/init.d/dbus-1
    ./etc/init.d/sendsigs
    ./etc/init.d/syslog.busybox
    ./etc/init.d/rpcbind
    ./etc/init.d/functions.initscripts
    ./etc/init.d/bootmisc.sh
    ./etc/init.d/banner.sh
    ./etc/init.d/hwclock.sh
    ./etc/init.d/umountfs
    ./etc/init.d/sysfs.sh
    ./etc/init.d/umountnfs.sh
    ./etc/init.d/read-only-rootfs-hook.sh
    ./etc/init.d/save-rtc.sh
    ./etc/hostname
    ./etc/rcS.d/
    ./etc/rcS.d/S03udev
    ./etc/rcS.d/S29read-only-rootfs-hook.sh
    ./etc/rcS.d/S30urandom
    ./etc/rcS.d/S55bootmisc.sh
    ./etc/rcS.d/S00psplash.sh
    ./etc/rcS.d/S04modutils.sh
    ./etc/rcS.d/S37populate-volatile.sh
    ./etc/rcS.d/S35mountall.sh
    ./etc/rcS.d/S43rpcbind
    ./etc/rcS.d/S39hostname.sh
    ./etc/rcS.d/S07bootlogd
    ./etc/rcS.d/S38devpts.sh
    ./etc/rcS.d/S36udev-cache
    ./etc/rcS.d/S40networking
    ./etc/rcS.d/S06checkroot.sh
    ./etc/rcS.d/S02sysfs.sh
    ./etc/rcS.d/S45mountnfs.sh
    ./etc/rcS.d/S02banner.sh
    ./etc/rcS.d/S38dmesg.sh
    ./etc/logrotate-dmesg.conf
    ./etc/udhcpc.d/
    ./etc/udhcpc.d/50default
    ./etc/issue.net
    ./etc/rpc
    ./etc/version
    ./etc/inputrc
    ./etc/syslog.conf
    ./etc/syslog-startup.conf.busybox
    ./etc/default/
    ./etc/default/volatiles/
    ./etc/default/volatiles/00_core
    ./etc/default/volatiles/99_dbus
    ./etc/default/devpts
    ./etc/default/rcS
    ./etc/default/udev-cache
    ./etc/default/useradd
    ./etc/default/postinst
    ./etc/default/usbd
    ./etc/services
    ./etc/avahi/
    ./etc/avahi/services/
    ./etc/avahi/services/sftp-ssh.service
    ./etc/avahi/services/ssh.service
    ./etc/avahi/avahi-daemon.conf
    ./etc/avahi/hosts
    ./etc/rc2.d/
    ./etc/rc2.d/S20syslog
    ./etc/rc2.d/S20hwclock.sh
    ./etc/rc2.d/S02dbus-1
    ./etc/rc2.d/S99stop-bootlogd
    ./etc/rc2.d/S21avahi-daemon
    ./etc/rc2.d/S99rmnologin.sh
    ./etc/shells
    ./etc/syslog.conf.busybox
    ./etc/motd
    ./etc/rc0.d/
    ./etc/rc0.d/S25save-rtc.sh
    ./etc/rc0.d/K20hwclock.sh
    ./etc/rc0.d/K20syslog
    ./etc/rc0.d/S31umountnfs.sh
    ./etc/rc0.d/S30urandom
    ./etc/rc0.d/S40umountfs
    ./etc/rc0.d/K40networking
    ./etc/rc0.d/K20psplash.sh
    ./etc/rc0.d/K19avahi-daemon
    ./etc/rc0.d/S32rpcbind
    ./etc/rc0.d/K20dbus-1
    ./etc/rc0.d/S20sendsigs
    ./etc/rc0.d/S90halt
    ./etc/ld.so.conf
    ./etc/securetty
    ./etc/passwd
    ./etc/depmod.d/
    ./etc/issue
    ./etc/protocols
    ./etc/skel/
    ./etc/skel/.bashrc
    ./etc/skel/.profile
    ./etc/limits
    ./etc/nsswitch.conf
    ./etc/filesystems
    ./etc/rc1.d/
    ./etc/rc1.d/K20hwclock.sh
    ./etc/rc1.d/K20syslog
    ./etc/rc1.d/K40networking
    ./etc/rc1.d/K81rpcbind
    ./etc/rc1.d/K20psplash.sh
    ./etc/rc1.d/K19avahi-daemon
    ./etc/rc1.d/K20dbus-1
    ./etc/network/
    ./etc/network/if-pre-up.d/
    ./etc/network/if-pre-up.d/nfsroot
    ./etc/network/if-post-down.d/
    ./etc/network/if-down.d/
    ./etc/network/if-up.d/
    ./etc/network/interfaces
    ./etc/rc3.d/
    ./etc/rc3.d/S20syslog
    ./etc/rc3.d/S20hwclock.sh
    ./etc/rc3.d/S02dbus-1
    ./etc/rc3.d/S99stop-bootlogd
    ./etc/rc3.d/S21avahi-daemon
    ./etc/rc3.d/S99rmnologin.sh
    ./etc/udev/
    ./etc/udev/udev.conf
    ./etc/udev/rules.d/
    ./etc/udev/rules.d/local.rules
    ./etc/udev/cache.data
    ./etc/rc4.d/
    ./etc/rc4.d/S20syslog
    ./etc/rc4.d/S20hwclock.sh
    ./etc/rc4.d/S99stop-bootlogd
    ./etc/rc4.d/S21avahi-daemon
    ./etc/rc4.d/S99rmnologin.sh
    ./etc/shadow
    ./etc/ld.so.cache
    ./etc/profile
    ./etc/login.access
    ./etc/dbus-1/
    ./etc/dbus-1/session.conf
    ./etc/dbus-1/system.d/
    ./etc/dbus-1/system.d/avahi-dbus.conf
    ./etc/dbus-1/session.d/
    ./etc/dbus-1/system.conf
    ./etc/modprobe.d/
    ./etc/group
    ./etc/hosts
    ./etc/group-
    ./etc/passwd-
    ./etc/rpcbind.conf
    ./etc/login.defs
    ./etc/inittab
    ./etc/syslog-startup.conf
    ./etc/host.conf
    ./tmp/
    ./run/
    ./sbin/
    ./sbin/rmmod.kmod
    ./sbin/runlevel
    ./sbin/sulogin
    ./sbin/switch_root
    ./sbin/ifup
    ./sbin/init
    ./sbin/hwclock
    ./sbin/loadkmap
    ./sbin/fsck.minix
    ./sbin/nologin
    ./sbin/insmod
    ./sbin/vipw.shadow
    ./sbin/lsmod
    ./sbin/swapoff
    ./sbin/poweroff.sysvinit
    ./sbin/modprobe
    ./sbin/ifconfig
    ./sbin/init.sysvinit
    ./sbin/telinit
    ./sbin/poweroff
    ./sbin/modinfo.kmod
    ./sbin/bootlogd
    ./sbin/reboot
    ./sbin/vigr.shadow
    ./sbin/logread
    ./sbin/depmod
    ./sbin/mkfs.minix
    ./sbin/fdisk
    ./sbin/setconsole
    ./sbin/depmod.kmod
    ./sbin/halt
    ./sbin/vipw
    ./sbin/killall5
    ./sbin/syslogd
    ./sbin/losetup
    ./sbin/ldconfig
    ./sbin/fstab-decode
    ./sbin/udhcpc
    ./sbin/fsck
    ./sbin/ifdown
    ./sbin/getty
    ./sbin/rmmod
    ./sbin/modinfo
    ./sbin/halt.sysvinit
    ./sbin/klogd
    ./sbin/sysctl
    ./sbin/swapon
    ./sbin/reboot.sysvinit
    ./sbin/start-stop-daemon
    ./sbin/shutdown
    ./sbin/modprobe.kmod
    ./sbin/ip
    ./sbin/route
    ./sbin/mkswap
    ./sbin/shutdown.sysvinit
    ./sbin/vigr
    ./sbin/pivot_root
    ./sbin/runlevel.sysvinit
    ./sbin/insmod.kmod
    ./mnt/
    ./mnt/.psplash/
    ./usr/
    ./usr/bin/
    ./usr/bin/id
    ./usr/bin/clear
    ./usr/bin/microcom
    ./usr/bin/chfn.shadow
    ./usr/bin/head
    ./usr/bin/groups
    ./usr/bin/newgrp.shadow
    ./usr/bin/dirname
    ./usr/bin/wget
    ./usr/bin/[[
    ./usr/bin/uniq
    ./usr/bin/logger
    ./usr/bin/uptime
    ./usr/bin/md5sum
    ./usr/bin/passwd.shadow
    ./usr/bin/sg
    ./usr/bin/top
    ./usr/bin/openvt
    ./usr/bin/tty
    ./usr/bin/yes
    ./usr/bin/users
    ./usr/bin/diff
    ./usr/bin/dbus-uuidgen
    ./usr/bin/unzip
    ./usr/bin/faillog
    ./usr/bin/nc
    ./usr/bin/test
    ./usr/bin/dumpleases
    ./usr/bin/patch
    ./usr/bin/chsh
    ./usr/bin/systool
    ./usr/bin/traceroute
    ./usr/bin/get_module
    ./usr/bin/seq
    ./usr/bin/time
    ./usr/bin/udevadm
    ./usr/bin/dlist_test
    ./usr/bin/logname
    ./usr/bin/chsh.shadow
    ./usr/bin/tftp
    ./usr/bin/update-alternatives
    ./usr/bin/fuser
    ./usr/bin/tr
    ./usr/bin/killall
    ./usr/bin/less
    ./usr/bin/chage
    ./usr/bin/tail
    ./usr/bin/readlink
    ./usr/bin/free
    ./usr/bin/last.sysvinit
    ./usr/bin/which
    ./usr/bin/dbus-send
    ./usr/bin/stat
    ./usr/bin/awk
    ./usr/bin/deallocvt
    ./usr/bin/strings
    ./usr/bin/newgrp
    ./usr/bin/utmpdump.sysvinit
    ./usr/bin/dbus-monitor
    ./usr/bin/ar
    ./usr/bin/gpasswd
    ./usr/bin/wall
    ./usr/bin/expiry
    ./usr/bin/od
    ./usr/bin/printf
    ./usr/bin/expr
    ./usr/bin/get_device
    ./usr/bin/[
    ./usr/bin/telnet
    ./usr/bin/passwd
    ./usr/bin/hexdump
    ./usr/bin/cmp
    ./usr/bin/whoami
    ./usr/bin/who
    ./usr/bin/dbus-launch
    ./usr/bin/dc
    ./usr/bin/mesg
    ./usr/bin/renice
    ./usr/bin/dbus-daemon
    ./usr/bin/wc
    ./usr/bin/realpath
    ./usr/bin/psplash
    ./usr/bin/watch
    ./usr/bin/last
    ./usr/bin/mkfifo
    ./usr/bin/get_driver
    ./usr/bin/env
    ./usr/bin/nslookup
    ./usr/bin/dbus-cleanup-sockets
    ./usr/bin/sha3sum
    ./usr/bin/wall.sysvinit
    ./usr/bin/reset
    ./usr/bin/psplash-default
    ./usr/bin/flock
    ./usr/bin/chvt
    ./usr/bin/bunzip2
    ./usr/bin/mesg.sysvinit
    ./usr/bin/lastb
    ./usr/bin/sort
    ./usr/bin/find
    ./usr/bin/lastlog
    ./usr/bin/psplash-write
    ./usr/bin/du
    ./usr/bin/run-parts
    ./usr/bin/bzcat
    ./usr/bin/vlock
    ./usr/bin/cut
    ./usr/bin/chfn
    ./usr/bin/groups.shadow
    ./usr/bin/utmpdump
    ./usr/bin/basename
    ./usr/bin/nohup
    ./usr/bin/xargs
    ./usr/bin/tee
    ./usr/lib/
    ./usr/lib/libdbus-1.so.3
    ./usr/lib/libXau.so.6
    ./usr/lib/libX11.so.6.3.0
    ./usr/lib/libavahi-common.so.3
    ./usr/lib/libxcb.so.1
    ./usr/lib/libtirpc.so.1.0.10
    ./usr/lib/libdaemon.so.0.5.0
    ./usr/lib/libavahi-core.so.7.0.2
    ./usr/lib/libXdmcp.so.6.0.0
    ./usr/lib/libdaemon.so.0
    ./usr/lib/libX11.so.6
    ./usr/lib/dbus/
    ./usr/lib/dbus/dbus-daemon-launch-helper
    ./usr/lib/locale/
    ./usr/lib/locale/en_GB/
    ./usr/lib/locale/en_GB/LC_TIME
    ./usr/lib/locale/en_GB/LC_TELEPHONE
    ./usr/lib/locale/en_GB/LC_MONETARY
    ./usr/lib/locale/en_GB/LC_NAME
    ./usr/lib/locale/en_GB/LC_MEASUREMENT
    ./usr/lib/locale/en_GB/LC_ADDRESS
    ./usr/lib/locale/en_GB/LC_PAPER
    ./usr/lib/locale/en_GB/LC_CTYPE
    ./usr/lib/locale/en_GB/LC_NUMERIC
    ./usr/lib/locale/en_GB/LC_MESSAGES/
    ./usr/lib/locale/en_GB/LC_MESSAGES/SYS_LC_MESSAGES
    ./usr/lib/locale/en_GB/LC_IDENTIFICATION
    ./usr/lib/locale/en_GB/LC_COLLATE
    ./usr/lib/locale/en_US/
    ./usr/lib/locale/en_US/LC_TIME
    ./usr/lib/locale/en_US/LC_TELEPHONE
    ./usr/lib/locale/en_US/LC_MONETARY
    ./usr/lib/locale/en_US/LC_NAME
    ./usr/lib/locale/en_US/LC_MEASUREMENT
    ./usr/lib/locale/en_US/LC_ADDRESS
    ./usr/lib/locale/en_US/LC_PAPER
    ./usr/lib/locale/en_US/LC_CTYPE
    ./usr/lib/locale/en_US/LC_NUMERIC
    ./usr/lib/locale/en_US/LC_MESSAGES/
    ./usr/lib/locale/en_US/LC_MESSAGES/SYS_LC_MESSAGES
    ./usr/lib/locale/en_US/LC_IDENTIFICATION
    ./usr/lib/locale/en_US/LC_COLLATE
    ./usr/lib/libXdmcp.so.6
    ./usr/lib/libXau.so.6.0.0
    ./usr/lib/libexpat.so.1.6.0
    ./usr/lib/libxcb.so.1.1.0
    ./usr/lib/libavahi-common.so.3.5.3
    ./usr/lib/libtirpc.so.1
    ./usr/lib/libexpat.so.1
    ./usr/lib/libavahi-core.so.7
    ./usr/lib/libkmod.so.2.2.4
    ./usr/lib/libkmod.so.2
    ./usr/lib/libdbus-1.so.3.7.3
    ./usr/sbin/
    ./usr/sbin/avahi-daemon
    ./usr/sbin/groupmod
    ./usr/sbin/deluser
    ./usr/sbin/chroot
    ./usr/sbin/groupdel
    ./usr/sbin/chpasswd
    ./usr/sbin/udhcpd
    ./usr/sbin/chgpasswd
    ./usr/sbin/rfkill
    ./usr/sbin/delgroup
    ./usr/sbin/adduser
    ./usr/sbin/groupmems
    ./usr/sbin/grpunconv
    ./usr/sbin/newusers
    ./usr/sbin/usermod
    ./usr/sbin/logoutd
    ./usr/sbin/groupadd
    ./usr/sbin/useradd
    ./usr/sbin/addgroup
    ./usr/sbin/grpck
    ./usr/sbin/chpasswd.shadow
    ./usr/sbin/rdate
    ./usr/sbin/userdel
    ./usr/sbin/pwunconv
    ./usr/sbin/rpcbind
    ./usr/sbin/rpcinfo
    ./usr/sbin/pwconv
    ./usr/sbin/fbset
    ./usr/sbin/loadfont
    ./usr/sbin/pwck
    ./usr/sbin/grpconv
    ./usr/games/
    ./usr/include/
    ./usr/src/
    ./usr/share/
    ./usr/share/X11/
    ./usr/share/X11/XErrorDB
    ./usr/share/X11/Xcms.txt
    ./usr/share/info/
    ./usr/share/locale/
    ./usr/share/locale/en_GB/
    ./usr/share/locale/en_GB/LC_MESSAGES/
    ./usr/share/locale/en_GB/LC_MESSAGES/libc.mo
    ./usr/share/locale/en_GB/LC_MESSAGES/avahi.mo
    ./usr/share/avahi/
    ./usr/share/avahi/service-types
    ./usr/share/avahi/avahi-service.dtd
    ./usr/share/dict/
    ./usr/share/udhcpc/
    ./usr/share/udhcpc/default.script
    ./usr/share/man/
    ./usr/share/misc/
    ./usr/share/dbus-1/
    ./usr/share/dbus-1/system-services/
    ./usr/share/dbus-1/services/
    ./var/
    ./var/volatile/
    ./var/volatile/log/
    ./var/volatile/tmp/
    ./var/lock
    ./var/log
    ./var/lib/
    ./var/lib/opkg/
    ./var/lib/dbus/
    ./var/lib/urandom/
    ./var/lib/misc/
    ./var/tmp
    ./var/run
    ./var/backups/
    ./var/local/
    ./var/spool/
    ./var/spool/mail/
    ./media/
    ./proc/
    ./sys/
    Code:
    #!/bin/bash
    
    # (C) Copyright 2011-2014  DENX Software Engineering GmbH
    #
    # Licensed under the GPLv2 or later.
    
    ELDK_VERSION="5.5.3"
    default_path="/opt/eldk-${ELDK_VERSION}"
    
    SRC_DIR=$(dirname $0)
    
    SDK_ARCH=i686
    
    # Available SDK image types (first in list is default)
    : ${SDK_KNOWN_IMAGES:="
    	gmae
    	qte
    	qte-xenomai
    "}
    
    : ${SDK_IMAGES:="gmae"}
    
    # Available Root File System image types (first in list is default)
    : ${RFS_KNOWN_IMAGES:="
    	minimal
    	minimal-mtdutils
    	minimal-dev
    	minimal-xenomai
    	base
    	basic
    	clutter
    	lsb
    	lsb-dev
    	lsb-sdk
    	sato
    	sato-dev
    	sato-sdk
    	qte-sdk
    	qte-xenomai-sdk
    	x11
    "}
    
    : ${RFS_IMAGES:="${RFS_KNOWN_IMAGES}"}
    
    list_known_images()
    {
    	type=$1
    	shift
    
    	local list=""
    
    	deflt=""
    	for i in $(eval echo \$${type}_KNOWN_IMAGES) ; do
    		if [ -z "$list" ] ; then
    			list="'$i'"
    			deflt="$i"
    		else
    			list="$list, '$i'"
    		fi
    	done
    	eval ${type}_LIST=\"$list\"
    	eval ${type}_DEFAULT=\"$deflt\"
    }
    
    list_available_images()
    {
    	type="$1"
    	prefix="$2"
    	suffix="$3"
    
    	local list=""
    
    	# Note: avoid "while read i ; do ... done" here as
    	# 'while' starts a sub-shell, and we cannot access
    	# the variables set inside this loop after it end.
    	for i in $(
    		cd ${SRC_DIR}/targets/${target}
    		# try without and with popular compressions
    		ls ${prefix}*${suffix}     2>/dev/null
    		ls ${prefix}*${suffix}.gz  2>/dev/null
    		ls ${prefix}*${suffix}.xz  2>/dev/null
    		ls ${prefix}*${suffix}.bz2 2>/dev/null
    	)
    	do
    		i=${i#$prefix}
    		i=${i%.gz}
    		i=${i%.xz}
    		i=${i%.bz2}
    		i=${i%$suffix}
    		i=${i%-generic}
    		if [ -z "$list" ] ; then
    			list="$i" 
    		else
    			list="$list $i"
    		fi
    		# echo "## L: $list"
    
    	done
    	# echo "## LIST: $list"
    	eval ${type}_AVAIL=\"$list\"
    }
    
    print_available_images()
    {
    	local name=$1
    	shift
    
    	echo "Available ${name} images for target '${target}':"
    	(
    		sep=" "
    		echo -e '|       \c'
    		for i in $* ; do
    			echo -e "${sep}'${i}'\c"
    			sep=", "
    		done
    		if [ "${sep}" = " " ] ; then
    			echo ' <none>'
    		else
    			echo '.'
    		fi
    	) | fmt -u -p '|' | tr -d '|' >&2
    }
    
    list_known_images SDK
    list_known_images RFS
    
    usage() {
    	my_name=$(basename $0)
    	fmt -u -p '|' <<E_O_F | tr '|' ' ' >&2
    
    Usage: ${my_name} [-D] [-d <dir>] [-a <arch>] [-s <sdk_img> ] [-r <rfs_img> ] [<target>]
           ${my_name} -l [<target>]
           ${my_name} -h
    -D: Dry-run: display commands, but don't actually execute them.
    -a: SDK host architecture.
    |   Chose one of 'i686' or 'x86_64".
        Defaults to "${SDK_ARCH}".
    -d: Destination directory.
        Defaults to "${default_path}"
    -h: Help: print this message.
    -l: List available SDK and RFS images
    -s: Select SDK image.
    |   Chose one of ${SDK_LIST}, or '-' for none.
        Defaults to "${SDK_DEFAULT}".
    -r: Select list of target RFS images.
    |   Chose one or more of ${RFS_LIST}, or '-' for none.
        Defaults to all.
    
    <target>  target architecture, defaults to "armv7a-hf"
    E_O_F
    }
    
    dest_path=""
    list_only=""
    DRY_RUN=""
    
    while getopts "Da:d:hlr:s:" option; do
    	case "$option" in
    	D) DRY_RUN="echo ###" ;;
    	a) SDK_ARCH="$OPTARG" ;;
    	d) dest_path="$OPTARG" ;;
    	h) usage ; exit 0 ;;
    	l) list_only=yes ;;
    	r) RFS_IMAGES="$OPTARG" ;;
    	s) SDK_IMAGES="$OPTARG" ;;
    	*) usage ; exit 1 ;;
    	esac
    done
    shift $((OPTIND - 1))
    
    if [ $# -gt 2 ] ; then
    	echo "Error: too many argumentes ($#, max is 2)" >&2
    	usage
    	exit 1
    fi
    
    # First argument is the target name (defaults to armv7a-hf)
    target=${1:-"armv7a-hf"}
    
    target_dir="${SRC_DIR}/targets/${target}"
    if [ ! -d "${target_dir}" ] ; then
    	echo "Error: target directory \"${target_dir}\" does not exist" >&2
    	exit 1
    fi
    
    # try to load target configuration
    target_conf="${target_dir}/target.conf"
    if [ ! -r ${target_conf} ] ; then
    	echo "Error: can't read target config file \"${target_conf}\"" >&2
    	exit 1
    fi
    
    . ${target_conf}
    
    # Currently we support only i686 and x86_64 hosts
    cur_arch=$(uname -m)
    
    case ${cur_arch} in
    i686) ;;
    x86_64) ;;
    *)
    	echo "You are running neither on i686 nor x86_64 machine" >&2
    	echo "Your machine is not supported" >&2
    	exit 1
    	;;
    esac
    
    SDK_OS="linux"
    SDK_VENDOR="-eldk"
    
    case ${SDK_ARCH} in
    i686) ;;
    x86_64) ;;
    *)
    	echo "Error: SDK architecture \"${SDK_ARCH}\" is not supported" >&2
    	exit 1
    	;;
    esac
    
    list_available_images SDK \
    	eldk-eglibc-${SDK_ARCH}-${TARGET_ARCH}-toolchain- \
    	-${ELDK_VERSION}.sh
    #echo "AVAILABLE SDK IMAGES: ${SDK_AVAIL}"
    
    list_available_images RFS \
    	core-image- \
    	-${MACHINE}.tar
    # echo "AVAILABLE RFS IMAGES: ${RFS_AVAIL}"
    
    if [ "${list_only}" = "yes" ] ; then
    	print_available_images SDK ${SDK_AVAIL}
    	print_available_images RFS ${RFS_AVAIL}
    
    	exit 0
    fi
    
    : ${dest_path:="${default_path}"}
    inst_path="${dest_path}/${MACHINE}"
    
    # Install SDK first
    
    if [ "${SDK_IMAGES}" != "-" ] ; then
    
    	# Check if the SDK images we are about to install actually exist.
    	# Note: so far we install only one SDK image, so the code could be
    	# simpler, but we allow for future extensions.
    	#
    	for img in ${SDK_IMAGES}; do
    		found=""
    		for avail in ${SDK_AVAIL} ; do
    			if [ "$img" = "$avail" ] ; then
    				found=yes
    				break
    			fi
    		done
    		if [ -z "$found" ] ; then
    			echo "Error: SDK image \"${img}\" is not available" >&2
    			print_available_images SDK ${SDK_AVAIL}
    			exit 1
    		fi
    
    		shar=$(echo ${SRC_DIR}/targets/${target}/\
    eldk-eglibc-${SDK_ARCH}-${TARGET_ARCH}-toolchain-${img}-${ELDK_VERSION}.sh)
    
    		if [ ! -r "${shar}" ] ; then
    			echo "Error: Can't read SDK shell archive \"${shar}\"" >&2
    			exit 1
    		fi
    	
    		sdk_path="${inst_path}/sysroots"
    	
    		if [ -e ${sdk_path} ] ; then
    			echo "Error: installation directory \"${sdk_path}\" already exists" >&2
    			exit 1
    		fi
    		if ${DRY_RUN} mkdir -p ${inst_path} >/dev/null ; then
    			:
    		else
    			${DRY_RUN} cat >&2 <<E_O_F
    --------------------------------------------------------------------
    NOTICE: superuser priviledges will be needed to create the
    installation directory; make sure you have sufficient permissions.
    --------------------------------------------------------------------
    E_O_F
    			${DRY_RUN} sudo mkdir -p ${inst_path} || exit 1
    			${DRY_RUN} sudo chown $(id -n -u).$(id -n -g) ${inst_path} || exit 1
    		fi
    		echo -e "*** Installing ${shar}\n    into ${inst_path}" >&2
    
    		echo -e "${inst_path}\ny" | \
    		${DRY_RUN} sh ${shar} >/dev/null || exit 1
    	done
    fi
    
    # Then install RFS images
    
    if [ "${RFS_IMAGES}" != "-" ] ; then
    
    	${DRY_RUN} cat >&2 <<E_O_F
    --------------------------------------------------------------------
    NOTICE: superuser priviledges will be needed to install the
    root file system; make sure you have sufficient permissions.
    --------------------------------------------------------------------
    E_O_F
    
    	# Check if the RFS images we are about to install actually exist.
    	#
    	for img in ${RFS_IMAGES}; do
    		found=""
    		for avail in ${RFS_AVAIL} ; do
    			if [ "$img" = "$avail" ] ; then
    				found=yes
    				break
    			fi
    		done
    		if [ -z "$found" ] ; then
    			echo "Error: RFS image \"${img}\" is not available" >&2
    			print_available_images RFS ${RFS_AVAIL}
    			exit 1
    		fi
    
    		tarball=$(echo ${SRC_DIR}/targets/${target}/\
    core-image-${img}*-${MACHINE}.tar*)
    
    		if [ ! -r "${tarball}" ] ; then
    			echo "Error: Can't read rootfs tarball \"${tarball}\"" >&2
    			exit 1
    		fi
    	
    		rootfs_path="${inst_path}/rootfs-${img}"
    	
    		if [ -e ${rootfs_path} ] ; then
    			echo "Error: installation directory \"${rootfs_path}\" already exists" >&2
    			exit 1
    		fi
    	
    		${DRY_RUN} mkdir -p ${rootfs_path} || exit 1
    		echo -e "*** Installing ${tarball}\n    into ${rootfs_path}" >&2
    		${DRY_RUN} sudo tar xpf ${tarball} -C ${rootfs_path}
    	done
    fi
    
    exit 0

  7. #6
    I also got an error with version 5.6

    # ./install.sh powerpc-4xx
    Error: SDK image "gmae" is not available
    Available SDK images for target 'powerpc-4xx':
    'toolchain', 'toolchain-qte', 'toolchain-xenomai-qte'

  8. #7
    Just Joined!
    Join Date
    Oct 2015
    Location
    Argentina
    Posts
    31
    Ok no problem. that is the story of my life

    Look, we can do the following, edit the script "install.sh", go to line 324, and add "echo $tarball" without quotes. Then execute it again, the script will also show you the tarball directory.

    Code:
    322.		tarball=$(echo ${SRC_DIR}/targets/${target}/\
    323. core-image-${img}*-${MACHINE}.tar*)
    324. echo $tarball
    325.		if [ ! -r "${tarball}" ] ; then
    326.			echo "Error: Can't read rootfs tarball \"${tarball}\"" >&2
    327.			exit 1
    328.		fi
    The idea is to execute a ls -ld (tarball).
    There is an if statement (if -r) which is saying you don't have read perms on those tar.gz files.

  9. #8
    This is the new ooutput

    Code:
    # ./install.sh powerpc-4xx
    *** Installing ./targets/powerpc-4xx/eldk-eglibc-i686-powerpc-toolchain-gmae-5.5.3.sh
        into /opt/eldk-5.5.3/powerpc-4xx
    --------------------------------------------------------------------
    NOTICE: superuser priviledges will be needed to install the
    root file system; make sure you have sufficient permissions.
    --------------------------------------------------------------------
    ./targets/powerpc-4xx/core-image-minimal-dev-generic-powerpc-4xx.tar.gz ./targets/powerpc-4xx/core-image-minimal-generic-powerpc-4xx.tar.gz ./targets/powerpc-4xx/core-image-minimal-mtdutils-generic-powerpc-4xx.tar.gz ./targets/powerpc-4xx/core-image-minimal-xenomai-generic-powerpc-4xx.tar.gz
    Error: Can't read rootfs tarball "./targets/powerpc-4xx/core-image-minimal-dev-generic-powerpc-4xx.tar.gz ./targets/powerpc-4xx/core-image-minimal-generic-powerpc-4xx.tar.gz ./targets/powerpc-4xx/core-image-minimal-mtdutils-generic-powerpc-4xx.tar.gz ./targets/powerpc-4xx/core-image-minimal-xenomai-generic-powerpc-4xx.tar.gz"

  10. #9
    Just Joined!
    Join Date
    Oct 2015
    Location
    Argentina
    Posts
    31
    ok, now could you run "ls -ld ./targets/powerpc-4xx/ "
    I would like to check powerpc-4xx directory perms.

    Another question, which OS are you using?

  11. #10
    -->
    # ls -ld ./targets/powerpc-4xx/
    drwxrwxr-x 2 notooth notooth 4096 Nov 23 2014 ./targets/powerpc-4xx/
    I am using Ubuntu 15.10 32bit
    Last edited by notooth; 10-26-2015 at 04:33 PM.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •